Skip to main content

[GET] /external/v1/withdrawal-intents/{id}

Overview

Returns a single withdrawal intent by ID for the authenticated merchant.

Authentication

Requires an API key. See Authentication.

Path Parameters

NameTypeRequiredDescription
idstringYesWithdrawal intent ID. e.g. WI_fF9jWdz1

Response

Returns an ApiResponse<WithdrawalIntent>.

FieldTypeDescription
codestringResponse code. Successful responses use ok.
messagestringHuman-readable response message.
dataWithdrawalIntentWithdrawal intent matching the requested ID.

Example Request

GET /external/v1/withdrawal-intents/WI_fF9jWdz1

Example Response

{
"code": "ok",
"message": "Ok.",
"data": {
"id": "WI_fF9jWdz1",
"wallet": {
"id": "WT0ir6F1",
"type": "merchant_wallet"
},
"transaction": {
"type": "blockchain",
"provider": "tron",
"blockchain": {
"chainId": "tron:nile",
"hash": "a38ebd874cb65bd32da06c2eb5a64f32d9bf5e455b8eaf48ffb2a0114c54deda",
"fromAddress": "TQPipjn73wBnKDodCtZAUCLoMdsgjBc3K5",
"toAddress": "TJScotwGB69dbkzgEnjw5rKaeehxzv8pax"
},
"legs": [
{
"type": "principal",
"currencyCode": "USDT",
"amount": "9.000000000000000000"
},
{
"type": "network_fee",
"currencyCode": "TRX",
"amount": "0.378000000000000000"
}
]
},
"destination": {
"type": "crypto",
"rail": "tron",
"routingCode": "tron:nile",
"identifier": "TJScotwGB69dbkzgEnjw5rKaeehxzv8pax"
},
"status": "completed",
"serviceFeeMode": "inclusive",
"amount": "10.0000000000000000",
"amountFee": "1.0000000000000000",
"amountNet": "9.0000000000000000",
"amountGross": "10.0000000000000000",
"submittedAt": "2026-05-12T06:23:43.629Z",
"finalizedAt": "2026-05-12T06:27:01.544Z",
"createdAt": "2026-05-12T06:23:43.629Z",
"updatedAt": "2026-05-12T06:27:01.544Z"
}
}

Error Responses

All error responses use ErrorResponse.

HTTP StatusCodeMessageDescription
400bad_requestValidation error messageThe request failed gateway-level validation, such as an invalid id value.
401unauthorizedUnauthorized.The API key is missing or invalid.
403forbiddenForbidden.The authenticated caller is not allowed to access this resource.
404not_foundNot found.No withdrawal intent exists for the requested ID, or the authenticated merchant is not allowed to access it.

Example Not Found Error

{
"code": "not_found",
"message": "Not found.",
"data": null
}